## org.apache.poi.hslf.model.textproperties
Class CharFlagsTextProp

    java.lang.Object
      org.apache.poi.hslf.model.textproperties.TextProp
          org.apache.poi.hslf.model.textproperties.BitMaskTextProp
              org.apache.poi.hslf.model.textproperties.CharFlagsTextProp

All Implemented Interfaces:
  java.lang.Cloneable

    public class CharFlagsTextProp

extends BitMaskTextProp

Definition for the common character text property bitset, which handles bold/italic/underline etc.

Field Summary
`static int` `BOLD_IDX`
`static int` `ENABLE_NUMBERING_1_IDX`
`static int` `ENABLE_NUMBERING_2_IDX`
`static int` `ITALIC_IDX`
`static java.lang.String` `NAME`
`static int` `RELIEF_IDX`
`static int` `RESET_NUMBERING_IDX`
`static int` `SHADOW_IDX`
`static int` `STRIKETHROUGH_IDX`
`static int` `UNDERLINE_IDX`

Fields inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`dataValue, maskInHeader, propName, sizeOfDataBlock`

Constructor Summary
`CharFlagsTextProp()`

Method Summary

Methods inherited from class org.apache.poi.hslf.model.textproperties.BitMaskTextProp
`clone, getSubPropMatches, getSubPropNames, getSubValue, getWriteMask, setSubValue, setValue`

Methods inherited from class org.apache.poi.hslf.model.textproperties.TextProp
`getMask, getName, getSize, getValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOLD_IDX

    public static final int BOLD_IDX

See Also:
  Constant Field Values

### ITALIC_IDX

    public static final int ITALIC_IDX

See Also:
  Constant Field Values

### UNDERLINE_IDX

    public static final int UNDERLINE_IDX

See Also:
  Constant Field Values

### SHADOW_IDX

    public static final int SHADOW_IDX

See Also:
  Constant Field Values

### STRIKETHROUGH_IDX

    public static final int STRIKETHROUGH_IDX

See Also:
  Constant Field Values

### RELIEF_IDX

    public static final int RELIEF_IDX

See Also:
  Constant Field Values

### RESET_NUMBERING_IDX

    public static final int RESET_NUMBERING_IDX

See Also:
  Constant Field Values

### ENABLE_NUMBERING_1_IDX

    public static final int ENABLE_NUMBERING_1_IDX

See Also:
  Constant Field Values

### ENABLE_NUMBERING_2_IDX

    public static final int ENABLE_NUMBERING_2_IDX

See Also:
  Constant Field Values

### NAME

    public static java.lang.String NAME

Constructor Detail

### CharFlagsTextProp

    public CharFlagsTextProp()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.